aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorKiyoshi Aman <kiyoshi.aman@gmail.com>2011-02-21 15:15:07 -0500
committerKiyoshi Aman <kiyoshi.aman@gmail.com>2011-02-21 15:15:37 -0500
commit3f0e983d0c54dce5b33d3999608ba556f20c4e71 (patch)
tree249ca93e15d7bc2bf5f215e1cd290c180e0084d1 /main
parent02aee49385270896f06f1309b93e14a8b593e7b5 (diff)
downloadaports-3f0e983d0c54dce5b33d3999608ba556f20c4e71.tar.gz
aports-3f0e983d0c54dce5b33d3999608ba556f20c4e71.tar.bz2
aports-3f0e983d0c54dce5b33d3999608ba556f20c4e71.tar.xz
main/socat: new aport
Diffstat (limited to 'main')
-rw-r--r--main/socat/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/main/socat/APKBUILD b/main/socat/APKBUILD
new file mode 100644
index 0000000000..af61629186
--- /dev/null
+++ b/main/socat/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+# Maintainer:
+pkgname=socat
+pkgver=1.7.1.3
+pkgrel=0
+pkgdesc="Multipurpose relay for binary protocols"
+url="http://www.dest-unreach.org/socat/"
+arch="all"
+license="GPL"
+depends=
+makedepends="openssl-dev readline-dev"
+subpackages="$pkgname-doc"
+source="http://www.dest-unreach.org/$pkgname/download/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+doc() {
+ mkdir -p "$subpkgdir"/usr/share
+ install -m644 "$_builddir"/EXAMPLES "$subpkgdir"/usr/share
+ mv "$pkgdir"/usr/share/man "$subpkgdir"/usr/share
+ install -m644 "$_builddir"/doc/*.html "$_builddir"/doc/*.css "$subpkgdir"/usr/share/"$pkgname"
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="2081987fb0cb0290b8105574058cb329 socat-1.7.1.3.tar.bz2"